Upstream information

CVE-2022-2469 at MITRE

Description

GNU SASL libgsasl server-side read-out-of-bounds with malicious authenticated GSS-API client

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact High None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1201715 [CONFIRMED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP3-Manager-4-2-Proxy-BYOS-Azure
Image SLES15-SP3-Manager-4-2-Proxy-BYOS-EC2-HVM
Image SLES15-SP3-Manager-4-2-Proxy-BYOS-GCE
Image SLES15-SP3-Manager-4-2-Server-BYOS-Azure
Image SLES15-SP3-Manager-4-2-Server-BYOS-EC2-HVM
Image SLES15-SP3-Manager-4-2-Server-BYOS-GCE
  • libgsasl7 >= 1.8.0-150300.3.3.1
Image SLES15-SP4-Manager-Proxy-4-3-BYOS
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-GCE
Image SLES15-SP4-Manager-Server-4-3-BYOS
Image SLES15-SP4-Manager-Server-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Server-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Server-4-3-BYOS-GCE
  • libgsasl7 >= 1.8.0-150400.3.3.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1
SUSE Manager Proxy 4.1
  • libgsasl-lang >= 1.8.0-150200.3.3.1
  • libgsasl7 >= 1.8.0-150200.3.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Proxy-4.1-2022-3562
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.2
SUSE Manager Proxy 4.2
  • libgsasl-lang >= 1.8.0-150300.3.3.1
  • libgsasl7 >= 1.8.0-150300.3.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Proxy-4.2-2022-3561
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.3
SUSE Manager Proxy 4.3
  • libgsasl-lang >= 1.8.0-150400.3.3.1
  • libgsasl7 >= 1.8.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Proxy-4.3-2022-3563
SUSE Linux Enterprise Module for SUSE Manager Server 4.1
SUSE Manager Server 4.1
  • libgsasl-lang >= 1.8.0-150200.3.3.1
  • libgsasl7 >= 1.8.0-150200.3.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.1-2022-3562
SUSE Linux Enterprise Module for SUSE Manager Server 4.2
SUSE Manager Server 4.2
  • libgsasl-lang >= 1.8.0-150300.3.3.1
  • libgsasl7 >= 1.8.0-150300.3.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.2-2022-3561
SUSE Linux Enterprise Module for SUSE Manager Server 4.3
SUSE Manager Server 4.3
  • libgsasl-lang >= 1.8.0-150400.3.3.1
  • libgsasl7 >= 1.8.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.3-2022-3563
openSUSE Tumbleweed
  • libgsasl-devel >= 1.10.0-3.1
  • libgsasl-lang >= 1.10.0-3.1
  • libgsasl7 >= 1.10.0-3.1
Patchnames:
openSUSE Tumbleweed GA libgsasl-devel-1.10.0-3.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1 libgsasl Released
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.2 libgsasl Released
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.3 libgsasl Released
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 libgsasl Released
SUSE Linux Enterprise Module for SUSE Manager Server 4.2 libgsasl Released
SUSE Linux Enterprise Module for SUSE Manager Server 4.3 libgsasl Released
SUSE Manager Proxy 4.1 libgsasl Released
SUSE Manager Proxy 4.2 libgsasl Released
SUSE Manager Proxy 4.3 libgsasl Released
SUSE Manager Proxy Module 4.1 libgsasl Released
SUSE Manager Proxy Module 4.2 libgsasl Released
SUSE Manager Proxy Module 4.3 libgsasl Released
SUSE Manager Server 4.1 libgsasl Released
SUSE Manager Server 4.2 libgsasl Released
SUSE Manager Server 4.3 libgsasl Released
SUSE Manager Server Module 4.1 libgsasl Released
SUSE Manager Server Module 4.2 libgsasl Released
SUSE Manager Server Module 4.3 libgsasl Released


SUSE Timeline for this CVE

CVE page created: Tue Jul 19 22:00:09 2022
CVE page last modified: Tue Nov 29 16:09:25 2022